JRecord (Apache ZooKeeper - Jute 3.7.0 API)
Date: 2021-03-17

org.apache.jute.compiler

## Class JRecord

- java.lang.Object
- - org.apache.jute.compiler.JType
  - - org.apache.jute.compiler.JRecord

-     public class JRecord
      extends JType

- - ### Field Summary

    - ### Fields inherited from class org.apache.jute.compiler.JType

      `mMethodSuffix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRecord(String name, ArrayList<JField> flist)` Creates a new instance of JRecord.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `genCCode(FileWriter h, FileWriter c)`
    `void` | `genCppCode(FileWriter hh, FileWriter cc)`
    `String` | `genCppDecl(String fname)`
    `void` | `genCsharpCode(File outputDirectory)`
    `String` | `genCsharpReadWrapper(String fname, String tag, boolean decl)`
    `String` | `genCsharpWriteWrapper(String fname, String tag)`
    `void` | `genJavaCode(File outputDirectory)`
    `String` | `genJavaReadMethod(String fname, String tag)`
    `String` | `genJavaReadWrapper(String fname, String tag, boolean decl)`
    `String` | `genJavaWriteWrapper(String fname, String tag)`
    `String` | `getCppFQName()`
    `String` | `getCppNameSpace()`
    `static String` | `getCsharpFQName(String name)`
    `String` | `getCsharpName()`
    `String` | `getCsharpNameSpace()`
    `List<JField>` | `getFields()`
    `String` | `getJavaFQName()`
    `String` | `getJavaPackage()`
    `String` | `getName()`
    `String` | `getSignature()`

    - ### Methods inherited from class org.apache.jute.compiler.JType

      `genCsharpConstructorParam, genCsharpDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRecord

          public JRecord(String name,
                         ArrayList<JField> flist)

      Creates a new instance of JRecord.

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getCsharpName

          public String getCsharpName()

    - #### getJavaFQName

          public String getJavaFQName()

    - #### getCppFQName

          public String getCppFQName()

    - #### getJavaPackage

          public String getJavaPackage()

    - #### getCppNameSpace

          public String getCppNameSpace()

    - #### getCsharpNameSpace

          public String getCsharpNameSpace()

    - #### getFields

          public List<JField> getFields()

    - #### getSignature

          public String getSignature()

    - #### genCppDecl

          public String genCppDecl(String fname)

    - #### genJavaReadMethod

          public String genJavaReadMethod(String fname,
                                          String tag)

    - #### genJavaReadWrapper

          public String genJavaReadWrapper(String fname,
                                           String tag,
                                           boolean decl)

    - #### genJavaWriteWrapper

          public String genJavaWriteWrapper(String fname,
                                            String tag)

    - #### genCsharpReadWrapper

          public String genCsharpReadWrapper(String fname,
                                             String tag,
                                             boolean decl)

    - #### genCsharpWriteWrapper

          public String genCsharpWriteWrapper(String fname,
                                              String tag)

    - #### genCCode

          public void genCCode(FileWriter h,
                               FileWriter c)
                        throws IOException

      Throws:
        `IOException`

    - #### genCppCode

          public void genCppCode(FileWriter hh,
                                 FileWriter cc)
                          throws IOException

      Throws:
        `IOException`

    - #### genJavaCode

          public void genJavaCode(File outputDirectory)
                           throws IOException

      Throws:
        `IOException`

    - #### genCsharpCode

          public void genCsharpCode(File outputDirectory)
                             throws IOException

      Throws:
        `IOException`

    - #### getCsharpFQName

          public static String getCsharpFQName(String name)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.